VERSION 5.00
Begin VB.Form frmOptions 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Options"
   ClientHeight    =   3495
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4095
   ControlBox      =   0   'False
   Icon            =   "Options.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3495
   ScaleWidth      =   4095
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CheckBox chkBCDMode 
      Caption         =   "BCD File &Mode"
      Height          =   255
      Left            =   1800
      TabIndex        =   8
      ToolTipText     =   "Check to display search GUI at startup"
      Top             =   2160
      Width           =   2055
   End
   Begin VB.TextBox txtAdjacentDigits 
      Alignment       =   1  'Right Justify
      Height          =   320
      Left            =   1800
      MaxLength       =   7
      TabIndex        =   7
      ToolTipText     =   "The byte position of the first byte to search"
      Top             =   1680
      Width           =   2175
   End
   Begin VB.TextBox txtSearchStartPosition 
      Alignment       =   1  'Right Justify
      Height          =   320
      Left            =   1800
      MaxLength       =   7
      TabIndex        =   5
      ToolTipText     =   "The byte position of the first byte to search"
      Top             =   1200
      Width           =   2175
   End
   Begin VB.CheckBox chkDisplayGUI 
      Caption         =   "Display &GUI on Startup"
      Height          =   255
      Left            =   1800
      TabIndex        =   9
      ToolTipText     =   "Check to display search GUI at startup"
      Top             =   2520
      Width           =   2055
   End
   Begin VB.TextBox txtSearchWindowSize 
      Alignment       =   1  'Right Justify
      Height          =   320
      Left            =   1800
      MaxLength       =   7
      TabIndex        =   3
      ToolTipText     =   "The number of bytes to load into memory for each pass"
      Top             =   720
      Width           =   2175
   End
   Begin VB.TextBox txtSearchFileName 
      Height          =   320
      Left            =   1800
      MaxLength       =   255
      TabIndex        =   1
      ToolTipText     =   "The fully qualified path of the file to search"
      Top             =   240
      Width           =   2175
   End
   Begin VB.CommandButton btnOKCancel 
      Caption         =   "&Apply"
      Height          =   375
      Index           =   2
      Left            =   3000
      TabIndex        =   12
      ToolTipText     =   "Apply changes"
      Top             =   3000
      Width           =   975
   End
   Begin VB.CommandButton btnOKCancel 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Index           =   1
      Left            =   840
      TabIndex        =   10
      ToolTipText     =   "Apply changes and return to search form"
      Top             =   3000
      Width           =   975
   End
   Begin VB.CommandButton btnOKCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Index           =   0
      Left            =   1920
      TabIndex        =   11
      ToolTipText     =   "Cancel any changes"
      Top             =   3000
      Width           =   975
   End
   Begin VB.Label lblAdjacentDigits 
      Caption         =   "&Adjacent Digits:"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   1740
      Width           =   1575
   End
   Begin VB.Label lblSearchStartPosition 
      Caption         =   "Search &Start Position:"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   1280
      Width           =   1575
   End
   Begin VB.Label lblSearchWindowSize 
      Caption         =   "Search &Block Size:"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   800
      Width           =   1575
   End
   Begin VB.Label lblSearchFileName 
      Caption         =   "Search &File Name:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   320
      Width           =   1335
   End
End
Attribute VB_Name = "frmOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim ChangeFlag As Boolean
Private Sub btnOKCancel_Click(Index As Integer)

    Select Case Index
        Case 0 'Cancel
            Unload frmOptions
        Case 1 'OK
            If ChangeFlag Then
                Options.SearchFileName = txtSearchFileName
                Options.SearchWindowSize = txtSearchWindowSize
                Options.SearchStartPosition = txtSearchStartPosition
                Options.AdjacentDigits = txtAdjacentDigits
                Options.BCDMode = chkBCDMode
                Options.DisplayGUI = chkDisplayGUI
                Settings (2)
            End If
            Unload frmOptions
        Case 2 'Apply
            Options.SearchFileName = txtSearchFileName
            Options.SearchWindowSize = txtSearchWindowSize
            Options.SearchStartPosition = txtSearchStartPosition
            Options.AdjacentDigits = txtAdjacentDigits
            Options.BCDMode = chkBCDMode
            Options.DisplayGUI = chkDisplayGUI
            Settings (2)
            btnOKCancel(2).Enabled = False
            ChangeFlag = False
    End Select
    
End Sub

Private Sub Check1_Click()

End Sub

Private Sub chkDisplayGUI_Click()

    btnOKCancel(2).Enabled = True
    ChangeFlag = True

End Sub

Private Sub Form_Load()

    Settings (1) 'Load settings from .INI
    txtSearchFileName = Options.SearchFileName
    txtSearchWindowSize = Options.SearchWindowSize
    txtSearchStartPosition = Options.SearchStartPosition
    txtAdjacentDigits = Options.AdjacentDigits
    chkBCDMode = Options.BCDMode
    chkDisplayGUI = Options.DisplayGUI
    btnOKCancel(2).Enabled = False

End Sub


Private Sub txtAdjacentDigits_Change()
    
    btnOKCancel(2).Enabled = True
    ChangeFlag = True

End Sub

Private Sub txtAdjacentDigits_GotFocus()

    txtAdjacentDigits.SelStart = 0
    txtAdjacentDigits.SelLength = Len(txtAdjacentDigits)

End Sub


Private Sub txtAdjacentDigits_KeyPress(KeyAscii As Integer)

    KeyAscii = AsciiFilter(KeyAscii, 2)

End Sub

Private Sub txtSearchFileName_Change()

    btnOKCancel(2).Enabled = True
    ChangeFlag = True

End Sub

Private Sub txtSearchFileName_GotFocus()

    txtSearchFileName.SelStart = 0
    txtSearchFileName.SelLength = Len(txtSearchFileName)

End Sub


Private Sub txtSearchFileName_KeyPress(KeyAscii As Integer)

    KeyAscii = AsciiFilter(KeyAscii, 4)
    
End Sub


Private Sub txtSearchStartPosition_Change()

    btnOKCancel(2).Enabled = True
    ChangeFlag = True

End Sub

Private Sub txtSearchStartPosition_GotFocus()

    txtSearchStartPosition.SelStart = 0
    txtSearchStartPosition.SelLength = Len(txtSearchStartPosition)

End Sub

Private Sub txtSearchStartPosition_KeyPress(KeyAscii As Integer)

    KeyAscii = AsciiFilter(KeyAscii, 2)
    
End Sub


Private Sub txtSearchWindowSize_Change()

    btnOKCancel(2).Enabled = True
    ChangeFlag = True

End Sub


Private Sub txtSearchWindowSize_GotFocus()

    txtSearchWindowSize.SelStart = 0
    txtSearchWindowSize.SelLength = Len(txtSearchWindowSize)

End Sub


Private Sub txtSearchWindowSize_KeyPress(KeyAscii As Integer)

    KeyAscii = AsciiFilter(KeyAscii, 2)
    
End Sub


